from fermiinstallclass import FermiInstallClass

class InstallClass(FermiInstallClass):
    name = ("GenericServer Workgroup Install")
#    pixmap = "server.png"
    pixmap = "genericserver.png"
    description = ("Generic Server is a base system with "
		     "no graphics and no compilers. "
		     "It is a good basis for a Server.")
    sortPriority = 2
    showLoginChoice = 1

    def setGroupSelection(self, grpset, intf):
	FermiInstallClass.setGroupSelection(self, grpset, intf)

        grpset.selectGroup("genericserver")

    def setSteps(self, dispatch):
	FermiInstallClass.setSteps(self, dispatch);
	dispatch.skipStep("makebootdisk")
	dispatch.skipStep("bootdisk")
